#include <fstream>
using namespace std;
ifstream f1("dqnp.inp");
ofstream f2("dqnp.out");
long n;
void np(long n)
{
    if (n > 0) {np(n/2);f2 << n%2;}
}
int main()
{
    f1 >> n;
    np(n);
    return 0;
}
